package sk.perri.ggj18f;

import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.StateBasedGame;

public class Main extends StateBasedGame
{
    @Override
    public void initStatesList(GameContainer gameContainer) throws SlickException
    {
        addState(new Splash(this));
    }

    private Main()
    {
        super("RocketRace");

        Holder.links.add("assets/strela.png");
        Holder.links.add("assets/w0.png");
        Holder.links.add("assets/w1.png");
        Holder.links.add("assets/w2.png");
        Holder.links.add("assets/w3.png");
    }

    public static void main(String args[])
    {
        try
        {
            AppGameContainer app = new AppGameContainer(new Main());
            app.setDisplayMode(600, 400, false);
            app.start();
        }
        catch (SlickException e)
        {
            e.printStackTrace();
        }
    }
}
